Solid Edge FrameworkSupport Type Library
DashName Property
Description
Sets and returns the named dash style for the referenced object.
Property type
Read-write property
Syntax
Visual Basic
Public Property DashName As String
Remarks
The name that you assign to this property must be the name of an existing dash style.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objCircle As SolidEdgeFrameworkSupport.Circle2d
    Dim objGeometricStyle As SolidEdgeFrameworkSupport.GeometryStyle2d
    Dim strName As String
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'getting the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'Set the "Center" as Active LinearStyle
    objDoc.LinearStyles.Active = "Center"
    'Create a circle in the active sheet.
    Set objCircle = objSheet.Circles2d.AddByCenterRadius(x:=0.2, y:=0.2, _
                                                         Radius:=0.1)
    'Get the GeometricStyle associated with the Circle
    Set objGeometricStyle = objCircle.Style
    'Get the DashName
    strName = objGeometricStyle.DashName
    'Set the DashName as Dash
    objGeometricStyle.DashName = "Dash"
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objCircle = Nothing
    Set objGeometricStyle = Nothing
End Sub
See Also

GeometryStyle2d Object  | GeometryStyle2d Members

Send comments on this topic.